Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.engine
Class DocumentBuilder<T>

    java.lang.Object
      org.hibernate.search.engine.DocumentBuilder<T>

    public class DocumentBuilder<T>

extends Object

Set up and provide a manager for indexes classes

Author:
  Gavin King, Emmanuel Bernard, Sylvain Vieujot, Richard Hallier

Field Summary
`static String` | `CLASS_FIELDNAME`

Constructor Summary
`DocumentBuilder(XClass clazz, org.apache.lucene.analysis.Analyzer analyzer, DirectoryProvider directory, ReflectionManager reflectionManager)`

Method Summary
`org.apache.lucene.analysis.Analyzer` | `getAnalyzer()`
`DirectoryProvider` | `getDirectoryProvider()`
`org.apache.lucene.document.Document` | `getDocument(T instance, Serializable id)`
`static Class` | `getDocumentClass(org.apache.lucene.document.Document document)`
`static Serializable` | `getDocumentId(FullTextIndexEventListener listener, Class clazz, org.apache.lucene.document.Document document)`
`TwoWayFieldBridge` | `getIdBridge()`
`String` | `getIdKeywordName()`
`Set<Class>` | `getMappedSubclasses()`
`org.apache.lucene.index.Term` | `getTerm(Serializable id)`
`void` | `postInitialize(Set<Class> indexedClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_FIELDNAME

    public static final String CLASS_FIELDNAME

See Also:
  Constant Field Values

Constructor Detail

### DocumentBuilder

    public DocumentBuilder(XClass clazz,
                           org.apache.lucene.analysis.Analyzer analyzer,
                           DirectoryProvider directory,
                           ReflectionManager reflectionManager)

Method Detail

### getDocument

    public org.apache.lucene.document.Document getDocument(T instance,
                                                           Serializable id)

### getTerm

    public org.apache.lucene.index.Term getTerm(Serializable id)

### getDirectoryProvider

    public DirectoryProvider getDirectoryProvider()

### getAnalyzer

    public org.apache.lucene.analysis.Analyzer getAnalyzer()

### getIdBridge

    public TwoWayFieldBridge getIdBridge()

### getIdKeywordName

    public String getIdKeywordName()

### getDocumentClass

    public static Class getDocumentClass(org.apache.lucene.document.Document document)

### getDocumentId

    public static Serializable getDocumentId(FullTextIndexEventListener listener,
                                             Class clazz,
                                             org.apache.lucene.document.Document document)

### postInitialize

    public void postInitialize(Set<Class> indexedClasses)

### getMappedSubclasses

    public Set<Class> getMappedSubclasses()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD